﻿SELECT ST_Point(-71.0506158,42.339387) AS geom;

SELECT Y.the_geom
FROM 
    pgr_drivingDistance(
        'SELECT gid AS id, cost_s As cost, reverse_cost_s As reverse_cost, source, target FROM osm.ways',
        (SELECT id FROM osm.ways_vertices_pgr ORDER BY the_geom <> ST_SetSRID(ST_Point(-71.0506158,42.339387),4326) LIMIT 1),
        60 * 1,
        directed := TRUE) AS X
    LEFT JOIN 
    osm.ways Y 
    ON X.edge = Y.gid;

SELECT osm_id, the_geom FROM osm.ways_vertices_pgr;

SELECT name, the_geom FROM osm.ways;
